> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new attachment

> Create new attachment



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /api/governance/v1/bundles/{id}/attachments
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/governance/v1/bundles/{id}/attachments:
    post:
      tags:
        - Governance bundles
      summary: Create new attachment
      description: Create new attachment
      parameters:
        - description: ID of the bundle to which the attachment belongs
          name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/rai-guardrails-service_guardrails.CreateAttachment
        description: Attachment to create
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/rai-guardrails-service_guardrails.Attachment
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
components:
  schemas:
    rai-guardrails-service_guardrails.CreateAttachment:
      type: object
      required:
        - identifier
        - type
      properties:
        identifier:
          type: object
        source:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.AttachmentSource
        type:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.AttachmentType
    rai-guardrails-service_guardrails.Attachment:
      type: object
      properties:
        approvalTimelineMap:
          type: object
          additionalProperties:
            $ref: >-
              #/components/schemas/rai-guardrails-service_guardrails.ApprovalTimelineInfo
        createdAt:
          type: string
        createdBy:
          type: object
        id:
          type: string
        identifier:
          type: object
        source:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.AttachmentSource
        type:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.AttachmentType
    rai-guardrails-service_server.HTTPError:
      type: object
      properties:
        code:
          description: >-
            Code is a stable machine-readable error identifier; absent on most
            errors.
          allOf:
            - $ref: '#/components/schemas/rai-guardrails-service_guardrails.ErrorCode'
        message:
          type: string
    rai-guardrails-service_guardrails.AttachmentSource:
      type: string
      enum:
        - AUTO
        - MANUAL
      x-enum-varnames:
        - AttachmentSourceAuto
        - AttachmentSourceManual
    rai-guardrails-service_guardrails.AttachmentType:
      type: string
      enum:
        - ModelVersion
        - Report
        - DatasetSnapshotFile
        - Endpoint
        - NetAppVolumeSnapshotFile
        - FlowArtifact
        - FlowArtifactFile
      x-enum-varnames:
        - ModelVersion
        - Report
        - DatasetSnapshotFile
        - Endpoint
        - NetAppVolumeSnapshotFile
        - FlowArtifact
        - FlowArtifactFile
    rai-guardrails-service_guardrails.ApprovalTimelineInfo:
      type: object
      properties:
        approvalStatus:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.ApprovalStatus
        timelineStatus:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.ApprovalTimelineStatus
        updatedAt:
          type: string
    rai-guardrails-service_guardrails.ErrorCode:
      type: string
      enum:
        - BUNDLE_REQUIRES_POLICY
      x-enum-varnames:
        - CodeBundleRequiresPolicy
    rai-guardrails-service_guardrails.ApprovalStatus:
      type: string
      enum:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved
        - PendingExpiration
        - Expired
      x-enum-varnames:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved
        - PendingExpiration
        - Expired
    rai-guardrails-service_guardrails.ApprovalTimelineStatus:
      type: string
      enum:
        - Valid
        - Invalid
      x-enum-varnames:
        - Valid
        - Invalid

````

## Related topics

- [Create new bundle](/6.3/api-reference/governance-bundles/create-new-bundle.md)
- [Create a new property](/6.3/api-reference/properties/create-a-new-property.md)
- [Create a new endpoint](/6.3/api-reference/ai-gateway/create-a-new-endpoint.md)
- [Create a new namespace](/6.3/api-reference/tags/create-a-new-namespace.md)
